---
updatedAt: 2026-05-27T08:29:53.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View media

Returns a list of given Products' Media

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product",
      "description": "Product represents the services or things given company sells in the business."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/products/{id}/media": {
      "get": {
        "deprecated": true,
        "tags": [
          "Product"
        ],
        "operationId": "product.listMedia",
        "summary": "View media",
        "description": "Returns a list of given Products' Media",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "product": {
                            "description": "Reference to another resource",
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "example": {
                              "id": "1337"
                            }
                          },
                          "title": {
                            "x-description-missing": true,
                            "type": "string",
                            "nullable": true,
                            "example": "Sustainable Water Bottle"
                          },
                          "description": {
                            "x-description-missing": true,
                            "type": "string",
                            "nullable": true,
                            "example": "This product is made from sustainable materials and is designed for everyday use."
                          },
                          "keyword": {
                            "x-description-missing": true,
                            "type": "string",
                            "nullable": true,
                            "example": "eco-friendly"
                          },
                          "sort": {
                            "x-description-missing": true,
                            "type": "integer",
                            "example": 1
                          },
                          "currentVersion": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "version": {
                                "type": "integer"
                              },
                              "url": {
                                "type": "string"
                              },
                              "remark": {
                                "type": "string",
                                "nullable": true
                              },
                              "filename": {
                                "type": "string"
                              },
                              "size": {
                                "type": "integer"
                              },
                              "updatedAt": {
                                "type": "string",
                                "format": "date-time"
                              }
                            },
                            "example": {
                              "id": "123456",
                              "version": 1,
                              "url": "https://www.example.com/resource",
                              "remark": "This is a sample remark.",
                              "filename": "document.pdf",
                              "size": 2048,
                              "updatedAt": "2024-09-19T12:34:56Z"
                            }
                          },
                          "updatedAt": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "date-time",
                            "example": "2024-09-20T14:30:00Z"
                          }
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Lists all product media": {
                    "value": {
                      "data": [
                        {
                          "id": "5",
                          "product": {
                            "id": "1"
                          },
                          "title": "",
                          "description": "",
                          "keyword": "defaultImage",
                          "sort": 1,
                          "currentVersion": {
                            "id": "17",
                            "version": 3,
                            "url": "/api/productMedia/5/versions/3",
                            "remark": "Initial Version",
                            "filename": "test.png",
                            "size": 12345,
                            "updatedAt": "2024-02-16T14:32:41+02:00"
                          },
                          "updatedAt": "2024-02-16T14:32:41+02:00"
                        },
                        {
                          "id": "6",
                          "product": {
                            "id": "1"
                          },
                          "title": "",
                          "description": "",
                          "keyword": "printImage",
                          "sort": 2,
                          "currentVersion": {
                            "id": "16",
                            "version": 2,
                            "url": "/api/productMedia/6/versions/2",
                            "remark": "Initial Version",
                            "filename": "test.png",
                            "size": 12345,
                            "updatedAt": "2024-02-16T14:32:41+02:00"
                          },
                          "updatedAt": "2024-02-16T14:32:41+02:00"
                        }
                      ],
                      "extra": {
                        "totalCount": 2,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```